user nginx;
worker_processes 1;

error_log /dev/stdout info;

events {
	worker_connections 1024;
}

http {
	access_log /dev/stdout;

	proxy_read_timeout 600;

	default_type application/octet-stream;

	server {
		listen 80;

		location /manager-api/ {
			proxy_pass http://{{APP_UMBREL_MANAGER_IP}}:3006/;
		}

		location / {
			proxy_pass http://{{APP_UMBREL_DASHBOARD_IP}}:3004/;
			proxy_http_version 1.1;
			proxy_set_header Upgrade $http_upgrade;
			proxy_set_header Connection "upgrade";
		}
	}
}
